Package: groovy.json.internal

## [Java] Class JsonInternalException

- groovy.json.internal.Exceptions.JsonInternalException

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Exceptions.JsonInternalException (String message)`
    `Exceptions.JsonInternalException (String message, Throwable cause)`
    `Exceptions.JsonInternalException (Throwable cause)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Throwable` | `getCause()`
    `` | `String` | `getLocalizedMessage()`
    `` | `String` | `getMessage()`
    `` | `StackTraceElement[]` | `getStackTrace()`
    `` | `void` | `printStackTrace(PrintStream s)`
    `` | `void` | `printStackTrace(PrintWriter s)`
    `` | `void` | `printStackTrace()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public Exceptions.JsonInternalException(String message)

    - #### public Exceptions.JsonInternalException(String message, Throwable cause)

    - #### public Exceptions.JsonInternalException(Throwable cause)

  - ### Method Detail

    - #### public Throwable getCause()

    - #### public String getLocalizedMessage()

    - #### public String getMessage()

    - #### public StackTraceElement[] getStackTrace()

    - #### public void printStackTrace(PrintStream s)

    - #### public void printStackTrace(PrintWriter s)

    - #### public void printStackTrace()